org.apache.fop.render.ps.fonts

## Class PSTTFGlyphOutputStream

- java.lang.Object
- - org.apache.fop.render.ps.fonts.PSTTFGlyphOutputStream

All Implemented Interfaces:
  TTFGlyphOutputStream

    public class PSTTFGlyphOutputStream
    extends Object
    implements TTFGlyphOutputStream

Streams glyphs in accordance with the constraints of the PostScript file format. Mainly, PostScript strings have a limited capacity and the font data may have to be broken down into several strings; however, this must occur at well-defined places like table or glyph boundaries. See also Adobe Technical Note #5012, The Type 42 Font Format Specification.

### Constructor Summary

Constructors
Constructor and Description
`PSTTFGlyphOutputStream(PSTTFGenerator ttfGen)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endGlyphStream()` Ends the streaming of glyphs.
`void` `startGlyphStream()` Begins the streaming of glyphs.
`void` `streamGlyph(byte[] glyphData, int offset, int size)` Streams an individual glyph from the given byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PSTTFGlyphOutputStream

    public PSTTFGlyphOutputStream(PSTTFGenerator ttfGen)

Constructor

Parameters:
  `ttfGen` - PSTTFGenerator

### Method Detail

#### startGlyphStream

    public void startGlyphStream()
                          throws IOException

Description copied from interface: `TTFGlyphOutputStream`
Begins the streaming of glyphs.

Specified by:
  `startGlyphStream` in interface `TTFGlyphOutputStream`
Throws:
  `IOException`

#### streamGlyph

    public void streamGlyph(byte[] glyphData,
                            int offset,
                            int size)
                     throws IOException

Description copied from interface: `TTFGlyphOutputStream`
Streams an individual glyph from the given byte array.

Specified by:
  `streamGlyph` in interface `TTFGlyphOutputStream`
Parameters:
  `glyphData` - the source of the glyph data to stream from
  `offset` - the position in the glyph data where the glyph starts
  `size` - the size of the glyph data in bytes
Throws:
  `IOException`

#### endGlyphStream

    public void endGlyphStream()
                        throws IOException

Description copied from interface: `TTFGlyphOutputStream`
Ends the streaming of glyphs.

Specified by:
  `endGlyphStream` in interface `TTFGlyphOutputStream`
Throws:
  `IOException`